Agents
View as MarkdownHeader Parameters
Optional request identifier propagated across services.
uuidRequest Body
application/json
Search parameters
Search criteria for agent discovery.
Response Body
*/*
*/*
*/*
*/*
*/*
*/*
*/*
*/*
*/*
*/*
*/*
curl -X POST "https://example.com/v1/ans/search-registered-agents" \ -H "Content-Type: application/json" \ -d '{}'{ "totalItems": 0, "totalPages": 0, "links": [ { "href": "http://example.com", "rel": "string", "title": "string", "targetMediaType": "string", "targetSchema": {}, "method": "string", "submissionMediaType": "application/json", "submissionSchema": {} } ], "items": [ { "agentId": "string", "indexedAt": "2019-08-24T14:15:22Z", "leafIndex": 0, "lifecycle": { "status": "ACTIVE" }, "agentDescription": "string", "agentDisplayName": "string", "agentHost": "string", "agentVersion": "string", "ansName": "string", "logId": "string", "providerId": "string", "endpoints": [ { "agentUrl": "string", "documentationUrl": "string", "metaDataUrl": "string", "metaDataHash": "string", "protocol": "A2A", "transports": [ "HTTP" ], "functions": [ { "id": "string", "name": "string", "tags": [ "string" ] } ] } ], "scores": { "trustScore": 0, "textScore": 0, "relevance": 0.1 } } ]}Query Parameters
Scoring profile name (default: default).
Optional search query string. If omitted and no filters are provided, the API returns all agents except REVOKED by default. When statuses is explicitly provided, the API uses only the provided status values. Max length is 256 characters by default. When keywordExtraction=true, max length is 4096 characters.
When true, extracts keywords from the query text before searching. Increases max query length from 256 to 4096 characters. Requires query to be non-empty.
falseKeyword extraction algorithm to use when keywordExtraction=true.
"SIMPLE"Value in
- "RAKE"
- "SIMPLE"
- "TEXTRANK"
Number of results per page (1-100).
1 <= value <= 10020Opaque token from a previous response links[].href relation (rel=next or rel=prev).
Optional token direction when pageToken is set. Only valid when pageToken is provided. Requests that send pageTokenDirection without pageToken return 422 INVALID_REQUEST.
Value in
- "backward"
- "forward"
When true, include totalItems and totalPages in the response envelope.
falseFilter by provider IDs.
Filter by lifecycle statuses. When omitted, default behavior excludes REVOKED.
Agent host domain-family filters. Each value matches apex plus subdomains.
Filter by endpoint protocols.
Filter by endpoint transports.
Filter by function names (endpoints.functions.name).
Identity pillar weight override.
0 <= value <= 100Integrity pillar weight override.
0 <= value <= 100Identity pillar threshold filter.
0 <= value <= 100Integrity pillar threshold filter.
0 <= value <= 100Header Parameters
Optional request identifier propagated across services.
uuidResponse Body
*/*
*/*
*/*
*/*
*/*
*/*
*/*
*/*
*/*
*/*
curl -X GET "https://example.com/v1/ans/registered-agents"{ "totalItems": 0, "totalPages": 0, "links": [ { "href": "http://example.com", "rel": "string", "title": "string", "targetMediaType": "string", "targetSchema": {}, "method": "string", "submissionMediaType": "application/json", "submissionSchema": {} } ], "items": [ { "agentId": "string", "indexedAt": "2019-08-24T14:15:22Z", "leafIndex": 0, "lifecycle": { "status": "ACTIVE" }, "agentDescription": "string", "agentDisplayName": "string", "agentHost": "string", "agentVersion": "string", "ansName": "string", "logId": "string", "providerId": "string", "endpoints": [ { "agentUrl": "string", "documentationUrl": "string", "metaDataUrl": "string", "metaDataHash": "string", "protocol": "A2A", "transports": [ "HTTP" ], "functions": [ { "id": "string", "name": "string", "tags": [ "string" ] } ] } ], "scores": { "trustScore": 0, "textScore": 0, "relevance": 0.1 } } ]}Path Parameters
Unique agent identifier.
Query Parameters
Scoring profile name (default: default).
Header Parameters
Optional request identifier propagated across services.
uuidResponse Body
*/*
*/*
*/*
*/*
*/*
*/*
*/*
*/*
*/*
*/*
*/*
curl -X GET "https://example.com/v1/ans/registered-agents/string"{ "agentId": "string", "indexedAt": "2019-08-24T14:15:22Z", "leafIndex": 0, "lifecycle": { "status": "ACTIVE" }, "agentDescription": "string", "agentDisplayName": "string", "agentHost": "string", "agentVersion": "string", "ansName": "string", "logId": "string", "providerId": "string", "endpoints": [ { "agentUrl": "string", "documentationUrl": "string", "metaDataUrl": "string", "metaDataHash": "string", "protocol": "A2A", "transports": [ "HTTP" ], "functions": [ { "id": "string", "name": "string", "tags": [ "string" ] } ] } ], "trustScore": 0, "trustVector": { "identity": 0, "integrity": 0 }, "missingness": { "requiredSignals": [ "string" ], "missingSignals": [ "string" ], "penalties": { "identity": 0, "integrity": 0 } }, "coverage": { "computedPillars": [ "string" ], "coverageRatio": 0.1 }, "signals": { "property1": { "computedAt": "2019-08-24T14:15:22Z", "evidence": {}, "pillar": "string", "score": 0, "missing": true }, "property2": { "computedAt": "2019-08-24T14:15:22Z", "evidence": {}, "pillar": "string", "score": 0, "missing": true } }}Last updated on
How is this guide?